{{! template-lint-disable no-action require-input-label no-invalid-interactive no-triple-curlies no-unknown-arguments-for-builtin-components }}
{{page-title (t "pages.fill-in-campaign-code.title")}}

<div class="pix-communication-banner">
  <DataProtectionPolicyInformationBanner />
</div>

<header role="banner">
  <NavbarHeader />
</header>

<main id="main" class="main" role="main">
  <PixBackgroundHeader>
    <PixBlock class="fill-in-campaign-code__container">
      <h1 class="fill-in-campaign-code__title rounded-panel-title">
        {{this.firstTitle}}
      </h1>

      <label for="campaign-code" class="fill-in-campaign-code__instruction">{{{t
          "pages.fill-in-campaign-code.description"
        }}}</label>
      <form class="fill-in-campaign-code__form" autocomplete="off">

        <div class="fill-in-campaign-code__form-field">
          <Input
            required
            id="campaign-code"
            class="input-code"
            @type="text"
            @value={{this.campaignCode}}
            maxlength="9"
            {{on "keyup" this.clearErrorMessage}}
          />
        </div>

        {{#if this.errorMessage}}
          <div class="fill-in-campaign-code__error" aria-live="polite">
            {{this.errorMessage}}
          </div>
        {{/if}}

        <div class="fill-in-campaign-code__actions">
          <PixButton
            @type="submit"
            class="fill-in-campaign-code__start-button"
            @triggerAction={{action "startCampaign"}}
          >
            {{t "pages.fill-in-campaign-code.start"}}
          </PixButton>
        </div>
      </form>

      {{#if this.showWarningMessage}}
        <div class="fill-in-campaign-code__warning">
          <span>{{this.warningMessage}}</span>
          <a href="#" class="link" {{action this.disconnect}}>
            {{t "pages.fill-in-campaign-code.warning-message-logout"}}
          </a>
        </div>
      {{/if}}

      {{!-- Caché le temps d'avoir un lien approprié (bug #347) --}}
      {{!-- <div class="fill-in-campaign-code__explanation">
        <a
          href={{t "pages.fill-in-campaign-code.explanation-link"}}
          class="link"
          target="_blank"
          rel="noopener noreferrer"
        >
          {{t "pages.fill-in-campaign-code.explanation-message"}}
        </a>
      </div> --}}
    </PixBlock>
  </PixBackgroundHeader>
</main>

<Footer />

<PixModal
  @title={{t "pages.fill-in-campaign-code.mediacentre-start-campaign-modal.title"}}
  @onCloseButtonClick={{this.closeModal}}
  @showModal={{this.showGARModal}}
>
  <:content>
    <p>
      {{t "pages.fill-in-campaign-code.mediacentre-start-campaign-modal.message"}}
      <p class="pix-text--small">
        <div class="pix-text--small"><b>{{this.campaign.targetProfileName}}</b></div>
        {{t "pages.fill-in-campaign-code.mediacentre-start-campaign-modal.organised-by"}}
        <b>{{this.campaign.organizationName}}</b>
      </p>
      <p class="pix-text--small">
        <b>{{t "pages.fill-in-campaign-code.mediacentre-start-campaign-modal.message-footer"}}</b>
      </p>
    </p>
  </:content>

  <:footer>
    <div class="mediacentre-start-campaign-modal__action-buttons">
      <LinkTo class="pix-text--link pix-text--small" @route="campaigns.entry-point" @model={{this.campaign.code}}>
        {{t "pages.fill-in-campaign-code.mediacentre-start-campaign-modal.actions.continue"}}
      </LinkTo>
      <PixButton @triggerAction={{this.closeModal}}>
        {{t "pages.fill-in-campaign-code.mediacentre-start-campaign-modal.actions.quit"}}
      </PixButton>
    </div>
  </:footer>
</PixModal>